Skip to content
Start here

Delete Custom Hostname (and any issued SSL certificates)

client.CustomHostnames.Delete(ctx, customHostnameID, body) (*CustomHostnameDeleteResponse, error)
DELETE/zones/{zone_id}/custom_hostnames/{custom_hostname_id}

Permanently deletes a custom hostname and revokes any SSL certificates that were issued for it. This action cannot be undone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
customHostnameID string

Identifier.

maxLength32
body CustomHostnameDeleteParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type CustomHostnameDeleteResponse struct{…}
ID stringoptional

Identifier.

maxLength32

Delete Custom Hostname (and any issued SSL certificates)

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_hostnames"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  customHostname, err := client.CustomHostnames.Delete(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    custom_hostnames.CustomHostnameDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", customHostname.ID)
}
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}
Returns Examples
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}